Tworzenie nowego układu


Recommended Posts

Nie ma problemu. Zainteresuj się CADPL-Pack'iem: http://forum.cad.pl/cadpl-pack-v1-lsp-t78161.html

Potem, wczytaj go, oraz poniższą funkcję:

(defun -MakeLayout (Start End Pref / i n l)
  (setq i Start
        l (layoutlist)
  )
  (while
    (< i End)
    (progn
      (setq n (strcat Pref (itoa i)))
      (if
        (not (member n l))
        (vla-Add (cd:ACX_Layouts) n)
      )
      (setq i (1+ i) l (cons n l))
    )
  )
)

Ma ona trzy argumenty: Start - to liczba całkowita od jakiej zaczyna się licznik, End - to koniec, Pref to łańcuch tekstowy, nazwy układu.

Wywołujesz ją w ten sposób:

(-MakeLayout 1 201 "Szkic")

i po chwili masz te Layouty...

kojacek (https://kojacek.wordpress.com)

Edited by kojacek
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...